curl 'https://scheduler.booper.dev/api/logs' \
--header 'Authorization: Bearer sk_public_20230921'
npx @booper/cli logs list
{
"data": [
{
"event": "worker.http.request",
"id": "1d2a2d2d-302c-4fd7-a282-6eeabdf02726",
"inserted_at": "2023-09-21T18:02:46.697398Z",
"job_id": 73496,
"payload": {
"body": {
"$job": {
"id": 73496
},
"$previous": {},
"$state": {},
"author": "Demo user",
"content": "Hello!"
},
"headers": {},
"query": {},
"url": "https://scheduler.booper.dev/api/channels/demo"
},
"user_id": "a89376ec-cea3-436e-bc16-35f4da2537c6"
}
]
}
Logs
List Logs
This endpoint retrieves job logs.
GET
/
api
/
logs
curl 'https://scheduler.booper.dev/api/logs' \
--header 'Authorization: Bearer sk_public_20230921'
npx @booper/cli logs list
{
"data": [
{
"event": "worker.http.request",
"id": "1d2a2d2d-302c-4fd7-a282-6eeabdf02726",
"inserted_at": "2023-09-21T18:02:46.697398Z",
"job_id": 73496,
"payload": {
"body": {
"$job": {
"id": 73496
},
"$previous": {},
"$state": {},
"author": "Demo user",
"content": "Hello!"
},
"headers": {},
"query": {},
"url": "https://scheduler.booper.dev/api/channels/demo"
},
"user_id": "a89376ec-cea3-436e-bc16-35f4da2537c6"
}
]
}
Query
number
default:"10"
Limits the number of logs returned in the query. (Max 100)
number
default:"0"
Offsets the logs returned in the query for pagination.
[string, 'asc' | 'desc']
The field to order by. Defaults to most recently created.
Headers
string
API key
curl 'https://scheduler.booper.dev/api/logs' \
--header 'Authorization: Bearer sk_public_20230921'
npx @booper/cli logs list
{
"data": [
{
"event": "worker.http.request",
"id": "1d2a2d2d-302c-4fd7-a282-6eeabdf02726",
"inserted_at": "2023-09-21T18:02:46.697398Z",
"job_id": 73496,
"payload": {
"body": {
"$job": {
"id": 73496
},
"$previous": {},
"$state": {},
"author": "Demo user",
"content": "Hello!"
},
"headers": {},
"query": {},
"url": "https://scheduler.booper.dev/api/channels/demo"
},
"user_id": "a89376ec-cea3-436e-bc16-35f4da2537c6"
}
]
}
⌘I